Skip to main content

eth_uninstallFilter

POST

Removes the filter identified by the given ID.It should always be called once the filter is no longer required.

📘 A filter that is not queried with eth_getFilterChanges for a certain period expires automatically.

param[0]
filterIdstringrequired
The ID of the filter to remove.
Responses
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Unauthorized"
}
cURL
curl -X POST 'https://tron-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "eth_uninstallFilter",
"params": [
"0xc11a84d5e906ecb9f5c1eb65ee940b154ad37dce8f5ac29c80764508b901d996"
]
}'